heat (1:17.0.1+git2022030311.968969b99-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 11:30:39 -0500

heat (1:17.0.0+git2022011216.9af3af156-0ubuntu3) jammy; urgency=medium

  * d/p/drop-zun(client).patch: Rename patch and drop zun.py as well.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Jan 2022 10:30:29 -0500

heat (1:17.0.0+git2022011216.9af3af156-0ubuntu2) jammy; urgency=medium

  * d/control, d/p/drop-zunclient.patch: Drop zunclient as zun is not
    packaged in Ubuntu.
  * d/control: Move python3-vitrageclient from Suggests to Depends in
    preperation for moving to Ubuntu main (LP: #1893935).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jan 2022 14:49:10 -0500

heat (1:17.0.0+git2022011216.9af3af156-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.
  * d/p/adjust-assert-raises-regex-for-py310.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:33:02 -0500

heat (1:17.0.0+git2021120816.fe8fba8c9-0ubuntu2) jammy; urgency=medium

  * d/p/adjust-assert-raises-regex-for-py310.patch: Patch AssertRaisesRegex
    messages as they are slightly different with Python 3.10.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Dec 2021 11:23:34 -0500

heat (1:17.0.0+git2021120816.fe8fba8c9-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 16:01:06 -0500

heat (1:17.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 17.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:32 +0000

heat (1:16.0.0+git2021090814.b461754e8-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:55 +0000

heat (1:16.0.0+git2021072116.c72b55bee-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:46:00 -0400

heat (1:16.0.0+git2021061112.25db65878-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:26 +0000

heat (1:16.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:03:03 -0400

heat (1:16.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 16.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 29 Mar 2021 13:38:35 +0000

heat (1:15.0.0+git2021012507.32f901420-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/rules: Override Python 3 shebang.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:05:07 +0000

heat (1:15.0.0+git2020120911.4370af157-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:57:44 -0500

heat (1:15.0.0~b3~git2020091012.c54518d60-0ubuntu2) groovy; urgency=medium

  * d/t/heat-daemons: Fix incorrect tail option in error log display

 -- Bryce Harrington <bryce@canonical.com>  Fri, 25 Sep 2020 19:43:13 +0000

heat (1:15.0.0~b3~git2020091012.c54518d60-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 10 Sep 2020 12:07:54 +0000

heat (1:15.0.0~b2~git2020073013.65de8cb43-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 13:17:06 +0000

heat (1:15.0.0~b1~git2020062912.8353fddf9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Removed. Change landed
    upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 29 Jun 2020 12:17:47 +0000

heat (1:14.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 14.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/727181/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 16:51:44 -0400

heat (1:14.0.0~b3~git2020041012.2ef9f4bf3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/heat-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:00:14 -0400

heat (1:14.0.0~b3~git2020032414.d8354d908-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/heat-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:51:59 -0400

heat (1:14.0.0~b2~git2020021413.94bdcd8c9-0ubuntu2) focal; urgency=medium

  * d/py3dist-overrides: Add python-vitrageclient as we have it in Suggests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Feb 2020 13:13:44 -0500

heat (1:14.0.0~b2~git2020021413.94bdcd8c9-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 13:40:37 -0500

heat (1:14.0.0~b1~git2019121613.7b606461e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 13:24:54 -0500

heat (1:13.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:35:32 +0100

heat (1:13.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 13.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 10:23:47 -0400

heat (1:13.0.0~b2~git2019073114.4563f0d0d-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 14:30:44 +0200

heat (1:13.0.0~b1~git2019061420.28dd8117b-0ubuntu2) eoan; urgency=medium

  * d/control: Drop (Build-)Depends on python3-ceilometerclient as it is
    no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jul 2019 13:53:42 -0400

heat (1:13.0.0~b1~git2019061420.28dd8117b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.
  * d/copyright: Tidy lintian warnings.
  * d/rules: Drop python3- prefix from oslo-config-generator usage.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Jun 2019 07:42:06 +0100

heat (1:12.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:10:11 +0100

heat (1:12.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Track 12.x series.
  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:36:38 +0000

heat (1:12.0.0~b1~git2019031825.acce80a25-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Mar 2019 16:53:52 +0000

heat (1:12.0.0~b1~git2019013034.e0be3707b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:43:36 +0000

heat (1:12.0.0~b1~git2018111708.849420429-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/python(3)-heat.*, d/tests/*: Drop Python 2
    support.
  * d/p/fix-issubclass-py37.patch, d/p/fix-mock-py37.patch: Dropped.
    Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 17 Nov 2018 08:00:42 -0500

heat (1:11.0.0-0ubuntu4) disco; urgency=medium

  * d/p/fix-issubclass-py37.patch: Cherry-picked from upstream master to fix
    errors with issubclass() in Python 3.7.
  * d/p/fix-mock-py37.patch: Cherry-picked from upstream master branch to fix
    StopIteration errors in Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 15:40:51 -0500

heat (1:11.0.0-0ubuntu3) disco; urgency=medium

  * d/tests/heat-shebangs-py3: Update shebang for Python 3.7.
  * d/rules: Enable Python 3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:16:14 -0500

heat (1:11.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python{3}-heat packages
    to resolve issues with co-installability.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 10:43:58 -0400

heat (1:11.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:49:29 -0400

heat (1:11.0.0~rc1-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/heat-*: Move common files to heat-common. Only have
      python(3)-heat depend on heat-common. Other packages that used to
      depend on heat-common now depend on python-heat | python3-heat.
    - d/control: Drop python(3)-heat conflicts on each other.
    - d/python(3)-heat.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.
    - d/python3-heat.install: Install heat/db/sqlalchemy/migrate_repo/migrate.cfg
      similar to python-heat.install.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 14:15:27 -0400

heat (1:11.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * Drop hard requirement for python-zunclient:
    - d/py3dist-overrides: Mirror exclusion of python{3}-zunclient.
    - d/control: python{3}-zunclient Depends -> Suggests.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 17:27:40 +0100

heat (1:11.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:40:17 -0400

heat (1:11.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 21:53:16 -0400

heat (1:11.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-heat package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-heat Depends.
    - d/control: Make python(3)-heat conflict against each other.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/python-heat.install: Drop install of usr/lib/python*/dist-packages/*,
      not needed.
    - d/heat-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-heat.post*, d/python(3)-heat.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for heat daemons and add shebang tests.
    - d/tests/heat-daemons: Use curl to test API.
    - d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jul 2018 13:18:03 -0400

heat (1:11.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 14:07:13 -0400

heat (1:11.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 14:13:47 -0400

heat (1:10.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/tests/heat-daemons, d/tests/control: Drop heat-api-cloudwatch from
    tests to align with earlier removal of heat-api-cloudwatch binary
    package.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Mar 2018 14:19:59 -0400

heat (1:10.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 14:20:37 -0500

heat (1:10.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 16:24:02 -0500

heat (1:10.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/heat-common.install: Drop install of policy.json.
  * d/control: Add python-octaviaclient to (Build-)Depends.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/control,rules: Switch to using stestr for unit test execution.
  * d/control,heat-api-cloudwatch.*: Drop heat-api-cloudwatch package,
    no longer provided by upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Feb 2018 11:51:50 +0000

heat (1:10.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 10.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/rules: Write heat.conf directly using oslo-config-generator.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/fixup-assert-regex.patch: Drop, no longer needed.
  * d/rules: Tidy unit test execution, scope inline with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Dec 2017 11:55:33 +0000

heat (1:10.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 10:58:14 +0000

heat (1:9.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:22:39 -0400

heat (1:9.0.0~rc1-0ubuntu2) artful; urgency=medium

  * d/control: Move python-zunclient to Suggests as we don't package
    OpenStack Zun at the moment.
  * d/pydist-overrides: Ensure zunclient isn't added to Depends by dh_python2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 11:33:41 -0400

heat (1:9.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 16:06:30 -0400

heat (1:9.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:32 -0400

heat (1:9.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Aug 2017 10:17:26 -0400

heat (1:9.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Add (Build-)Depend on python-zunclient.
  * d/*: wrap-and-sort.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 16:31:55 +0100

heat (1:9.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:04:45 +0100

heat (1:9.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/heat-common.postinst: Make sure that /etc/heat has restricted
    permissions (LP: #1675088).

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Apr 2017 16:49:26 +0100

heat (1:8.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:56:52 -0500

heat (1:8.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Feb 2017 07:35:10 -0500

heat (1:8.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New uptream milestone for Ocata. 
  * debian/patches/fix-ceilometerclient-2.8.patch: Dropped
    no longer needed.  

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:41:12 -0500

heat (1:8.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.
  * debian/patches/fix-ceilometerclient-2.8.patch: Fix unittests with python-ceilometerclient 2.8.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 11:57:01 -0500

heat (1:8.0.0~b2-0ubuntu4) zesty; urgency=medium

  * d/control, d/rules, d/heat.*, d/tests/heat-daemons: Revert execution of
    heat API under apache2 with mod_wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2017 12:14:03 -0500

heat (1:8.0.0~b2-0ubuntu3) zesty; urgency=medium

  * debian/heat-api-cfn.init.in: Readd systemd daemon since it hasnt
    converted over to wsgi yet. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jan 2017 14:30:38 -0500

heat (1:8.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/t/heat-daemons: Fix up broken test and allow delayed start of services.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Dec 2016 10:24:18 -0500

heat (1:8.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/p/remove-oslo-incubator-use-in-other-client-plugins.patch: Dropped
    no longer needed. 
  * d/control, d/rules, d/heat.apache2, d/heat.conf: Convert API servers
    to use wsgi.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/sudoers_patch.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:21:24 -0500

heat (1:8.0.0~b1-0ubuntu2) zesty; urgency=medium

  * d/p/remove-oslo-incubator-use-in-other-client-plugins.patch: Cherry-pick
    from upstream master branch to fix import failures seen in ocata-proposed
    tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Dec 2016 17:24:36 -0500

heat (1:8.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ James Page ]
  * d/control,rules: Switch to ostestr for unit test execution.

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Align python-webob with upstream.

  [ Chuck Short ]
  * debian/rules: Fix unit tests. 

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/*: Rebased.
  * d/control: Remove dependency python-coverage and align (build-)depends 
    with upstream.
  * New upstream milestone for OpenStack Ocata.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 17 Nov 2016 09:04:05 -0500

heat (1:7.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for Openstack Newton. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Oct 2016 10:58:45 -0400

heat (1:7.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:10:49 -0400

heat (1:7.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream release.
  * d/p/fix-FakeHTTPClient-failures.patch: Dropped, included upstream.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Sep 2016 13:05:12 -0400

heat (1:7.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/p/fix-FakeHTTPClient-failures.patch: Fixes failures hit with latest
    python-novaclient.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 03 Sep 2016 20:44:24 -0400

heat (1:7.0.0~b3-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 10:08:23 -0400

heat (1:7.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream.
  * New upstream version.
  * d/control: Add python-aodhclient to (Build-)Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 10:24:40 -0400

heat (1:7.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Drop redundant patches.
  * Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * d/rules: Adding cwd to PYTHONPATH to faciliate updated heat.conf.sample
    (LP: #1506665).

  [ Corey Bryant ]
  * d/control: Add python-yaql to (Build-)Depends.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 06 Jun 2016 16:03:27 -0400

heat (1:6.0.0-0ubuntu2) yakkety; urgency=medium

  * d/p/engine-shutdown.patch: Cherry pick fix to ensure that heat-engine
    worker processes are shutdown correctly when SIGINT is received early
    in the process lifecycle (LP: #1562042).

 -- James Page <james.page@ubuntu.com>  Tue, 10 May 2016 13:19:52 +0100

heat (1:6.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 13:55:55 -0400

heat (1:6.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:10:20 -0400

heat (1:6.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/p/use-oslo-config-fixture-for-tests.patch: Removed. Fixed upstream.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 07 Mar 2016 14:21:57 -0500

heat (1:6.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/p/use-oslo-config-fixture-for-tests.patch: Cherry-picked from upstream
    master branch to fix test failures with new oslo.config versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2016 15:12:43 -0500

heat (1:6.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 25 Jan 2016 14:21:59 -0500

heat (1:6.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/fixup-assert-regex.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 16:08:52 -0500

heat (1:5.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:47:16 -0400

heat (1:5.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * Don't clean heat.egg-info ensuring that non-py resources actually
    get installed (LP: #1505444).

 -- James Page <james.page@ubuntu.com>  Mon, 12 Oct 2015 21:44:47 -0700

heat (1:5.0.0~rc1-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/watch: Update to cope with upstream rc versioning.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Sep 2015 14:22:51 -0400

heat (1:5.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-dummy-resource-missing.patch: Dropped. Fixed in milestone.
  * d/p/move-extensions.patch: Dropped. Fixed in milestone.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:52:07 -0400

heat (1:5.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/control: Add python-pymysql to (build-)depends.
  * d/p/fix-dummy-resource-missing.patch: Cherry-picked from master to fix
    failing tests.
  * d/p/move-extensions: Cherry-picked from master to fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Aug 2015 14:45:23 -0400

heat (1:5.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-requirements.patch: Dropped. No longer needed.
  * d/p/fixup-assert-regex.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 08:11:50 -0400

heat (1:5.0.0~b1-0ubuntu4) wily; urgency=medium

  * d/heat-common.install: Include missing templates directory (LP: #1431013).
  * d/python-heat.install: Include missing migrate.cfg.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Aug 2015 11:31:48 +0100

heat (1:5.0.0~b1-0ubuntu2) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:26:42 +0100

heat (1:5.0.0~b1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/sudoers_patch.patch: Rebased.

  [ James Page ]
  * d/s/options: Ignore any removal of egg-info data during package clean.
  * d/control: Drop MySQL and PostgreSQL related BD's, not required for unit
    testing.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jul 2015 17:06:19 +0100

heat (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * debian/heat-common.install: install missing scripts (LP: #1453160):
    - /usr/bin/heat-db-setup
    - /usr/bin/heat-keystone-setup-domain

 -- Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>  Tue, 26 May 2015 11:56:08 +0100

heat (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744)
  * d/p/fix-requirements.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 May 2015 13:45:33 -0400

heat (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for Openstack kilo;
    - d/control: Align with upstream dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:55:31 -0400

heat (2015.1~b3-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone release for OpenStack kilo:
    - d/control: Align with upstream dependencies.
    - d/p/sudoers_patch.patch: Rebased.
    - d/p/fix-requirements.patch: Rebased.

  [ James Page ]
  * d/p/fixup-assert-regex.patch: Tweak test to use assertRegexpMatches.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:11:18 +0100

heat (2015.1~b2-0ubuntu3) vivid; urgency=medium

  * d/pydist-overrides: Add overrides for oslo packages.
  * d/control: Add missing BD on python-testresources.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Mar 2015 14:27:38 +0000

heat (2015.1~b2-0ubuntu2) vivid; urgency=medium

  * d/rules: Call debhelper with --with systemd to ensure that systemd
    units are enabled by default.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Mar 2015 15:20:29 +0000

heat (2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ James Page ]
  * d/heat-common.postinst: Update to use getent for detection of existing
    heat user and group (LP: #1328315).

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/oslo-i18n-private-classes.patch: Dropped. Fixed upstream.
    - d/p/remove-gettextutils-import.patch: Dropped. Fixed upstream.

  [ Chuck Short ]
  * debian/rules: Use oslo-config-generator to generate configuration files.
  * debian/patches/default-log-dir.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Feb 2015 09:37:14 -0500

heat (2015.1~b1-0ubuntu4) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:23:46 +0000

heat (2015.1~b1-0ubuntu3) vivid; urgency=medium

  [ Corey Bryant ]
  * d/p/oslo-i18n-private-classes.patch: Cherry picked from master.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Jan 2015 12:47:35 -0500

heat (2015.1~b1-0ubuntu2) vivid; urgency=medium

  [ Corey Bryant ]
  * Systemd enablement:
    - d/control: Add dh-systemd and openstack-pkg-tools to BD's.
    - d/rules: Enable use of pkgos, tidyup generated init files.
    - d/*.init.in: Cherry pick pkgos template configurations from
      Debian heat package (thanks Thomas).
    - d/*.upstart.*.init: Drop in preference to generated files.
  * d/control,compat: Bump debhelper compat level to 9.
  * d/*.logrotate,heat-common.logrotate: Move to single logrotate
    configuration.

  [ James Page ]
  * d/heat-engine.postinst: Drop as effectively a no-op due to commenting.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jan 2015 15:37:58 -0500

heat (2015.1~b1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Open up for vivid.
  * debian/control: Update bzr branch. 
  * debian/control: Add python-saharaclient,
    python-osprofiler, python-oslo.middleware, python-oslo.serialization.
  * debian/patches/fix-reqirements.patch: Refreshed.
  * debian/patches/skip-tests.patch: Updated to skip more tests.
  * debian/rules: Skip integration tests.

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/watch: Update uversionmangle for kilo beta naming.
    - d/rules: Generate heat.conf.sample and apply patch before copy.
    - d/rules: Run base tests instead of integration tests.
    - d/p/fix-requirements.patch: Refreshed.
    - d/p/remove-gettextutils-import.patch: Cherry picked from master.
  * d/control: Bumped Standards-Version to 3.9.6.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Jan 2015 08:55:22 -0500

heat (2014.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Oct 2014 14:51:49 -0400

heat (2014.2~rc3-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Oct 2014 20:48:24 +0100

heat (2014.2~rc2-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate:
    - d/p/*: Refreshed.
  * d/watch: Only match versions starting with numbers.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Oct 2014 16:38:47 +0100

heat (2014.2~rc1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate:
    - d/watch: Use tarballs.openstack.org for upstream releases.
    - d/control: Align requirements with rc1.
    - d/rules: Re-enable tests during build.
    - d/p/fix-requirements.patch: Align requirements with Ubuntu.

  [ James Page ]
  * d/rules,control: Tweak test execution to increase verbosity using
    subunit.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Oct 2014 09:42:58 +0100

heat (2014.2~b3-0ubuntu1) utopic; urgency=medium

  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Sep 2014 09:40:59 -0400

heat (2014.2~b2-0ubuntu2) utopic; urgency=medium

  * debian/rules: Disable doc build. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 06 Aug 2014 11:25:27 -0400

heat (2014.2~b2-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * debian/control: Add python-oslo.messaging 
  * debian/tests/heat-daemons: Dropped heat-enginge.
  * debian/patches/fix-requirements.patch: Refreshed.
  * debian/control: Add python-stevedore
  * debian/control: Add python-posix-ipc.
  * debian/patches/fix-requirements.patch: Remove routes 2.0 blockage.
  * debian/patches/default-sqlite.patch: Refreshed.
  * debian/patches/skip-tests.patch: Refreshed.
  * debian/control: Add python-requests
  * debian/rules: Temporarily disable testsuite.

  [ Gauvain Pocentek ]
  * debian/patches/default-log-dir.patch: define a default log directory to
    actually get logging to work (LP: #1320013).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jul 2014 10:08:14 -0400

heat (2014.2~b1-0ubuntu4) utopic; urgency=medium

  * debian/tests/heat-daemons: Dont test heat-engine 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jun 2014 10:33:36 -0400

heat (2014.2~b1-0ubuntu3) utopic; urgency=medium

  * debian/heat-enginge.conf: Dont configure database. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jun 2014 08:55:13 -0400

heat (2014.2~b1-0ubuntu2) utopic; urgency=medium

  * debian/patches/default-sqlite.patch: Dropped. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 Jun 2014 08:47:49 -0400

heat (2014.2~b1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release
  * debian/patches/default-sqlite.patch: Refreshed.
  * debian/patches/fix-requirements.patch: Refreshed.
  * debian/control: Add python-oslotest as a build-dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jun 2014 11:57:45 -0400

heat (2014.1-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * New upstream release. (LP: #1299055)
  * debian/heat-common.postinst: Create directory before changing
    permissions. (LP: #1267557) 

  [ Corey Bryant ]
  * New upstream release (LP: #1299055).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Apr 2014 07:27:41 -0400

heat (2014.1~rc2-0ubuntu3) trusty; urgency=medium

  * debian/heat-common.postinst: Fix failing autopkg test. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Apr 2014 13:36:05 -0400

heat (2014.1~rc2-0ubuntu2) trusty; urgency=medium

  * Fix up packaging based on Ubuntu Security Team review (LP: #1267557):
    - debian/control: Drop python-sendfile since it is no longer
      needed.
    - debian/heat-common.install: Correct permissions of /etc/heat.
    - debian/patches/sudoers_patch.patch: Change the directory location
      for the sudoers so that it users the standard /etc/sudoers.d
      directory.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Apr 2014 15:25:44 -0400

heat (2014.1~rc2-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate (LP: #1299055).
  * debian/patches/fix-requirements.patch: Don't install
    python-qpid since we use python-kombu by default (LP: #1296912).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 10 Apr 2014 08:51:46 -0400

heat (2014.1~rc1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1299055)
  * debian/patches/use-oslo.sphinx-namespace.patch: Dropped no longer
    needed.
  * debian/control: Rename python-oslo.sphinx to python-oslosphinx.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 31 Mar 2014 21:36:06 -0400

heat (2014.1~b3-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/adjust-dependencies.patch: Dropped no longer needed.
  * debian/control: Add python-troveclient.
  * debian/rules: fail to build if testsuite fails.
  * debian/patches/use-oslo.sphinx-namespace.patch: Use oslo.sphinx namespace.

  [ Adam Gandelman ]
  * debian/heat-engine.install: Install /etc/heat/environment.d/*.
    (LP: #1285875).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Mar 2014 17:18:51 -0500

heat (2014.1~b2-0ubuntu1) trusty; urgency=low

  [ James Page ]
  * d/p/*: Refreshed.

  [ Yolanda Robla ]
  * debian/control: Added lockfile to build depends

  [ Chuck Short ]
  * debian/patches/adjust-dependencies: Adjust Ubuntu dependencies.
  * debian/patches/skip-tests.patch: Skip failing tests on buildds.
  * debian/rules: Add pythonpath for tests.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 Jan 2014 15:28:54 -0500

heat (2014.1~b1-0ubuntu2) trusty; urgency=low

  * debian/patches/default-sqlite.patch: Update default sqlite path to
    fix heat-engine install failures. 

 -- James Page <james.page@ubuntu.com>  Fri, 06 Dec 2013 11:26:25 +0000

heat (2014.1~b1-0ubuntu1) trusty; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/control:
    + Open icehouse release.
    + Dropped python-argparse, python-qpid, python-noseexcover,
      python-nose, and python-pycryptopp
    + Add versioned depends for python-pbr.
    + Add python-testscenarios as a build dependency.
  * debian/patches/default-sqlite.patch: Dropped no longer needed.

  [ Yolanda Robla ]
  * debian/control: Added python-heatclient as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Dec 2013 21:17:37 -0500

heat (2013.2-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1236462).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Oct 2013 09:30:24 -0400

heat (2013.2~rc2-0ubuntu1) saucy; urgency=low

  * New upstream release candidate (LP: #1239156).

 -- James Page <james.page@ubuntu.com>  Sat, 12 Oct 2013 16:53:03 +0100

heat (2013.2~rc1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: Dropped python-d2to1 build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Oct 2013 09:43:04 -0400

heat (2013.2~b3-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Add python-netaddr as build-dep.
  * debian/heat-common.install: Remove heat-boto and associated man-page
  * debian/heat-common.install: Remove heat-cfn and associated man-page
  * debian/heat-common.install: Remove heat-watch and associated man-page
  * debian/patches/fix-sqlalchemy-0.8.patch: Dropped

  [ Adam Gandelman ]
  * debian/patches/default-kombu.patch: Dropped.
  * debian/patches/default-sqlite.patch: Refreshed.
  * debian/*.install, rules: Install heat.conf.sample as common
    config file in heat-common. Drop other per-package configs, they
    are no longer used.
  * debian/rules: Clean pbr .egg from build dir if it exists.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Sep 2013 13:10:26 -0400

heat (2013.2~b2.a186.g2b4b248-0ubuntu2) saucy; urgency=low

  * d/rules: Limit test execution concurrency to 1 to avoid test failures
    in buildds. 

 -- James Page <james.page@ubuntu.com>  Thu, 08 Aug 2013 15:42:32 +0100

heat (2013.2~b2.a186.g2b4b248-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * debian/patches/rename-quantumclient.patch: Dropped no longer needed. 
  * debian/control: Add python-oslo.sphinx

  [ James Page ]
  * New upstream snapshot.
  * d/watch: Updated to track releases on launchpad.
  * d/control: Drop BD in pep8, no longer required.
  * d/control,rules: Drop use of openstack-pkg-tools, revert use of xz
    compression for debs.
  * d/control,*.config,*.templates,po: Drop use of debconf/dbconfig-common
    to configure heat.
  * d/*.upstart: Add upstart configurations for Ubuntu.
  * d/p/default-kombu.patch: Switch default messaging from qpid to
    kombu.
  * d/p/default-sqlite.patch: Use sqlite as default database option.
  * d/control: Add python-ceilometerclient to BD's.
  * d/rules: Fail package build for unit test failures.
  * d/*.install: Directly install configuration files to /etc/heat.
  * d/control: Update VCS locations to ubuntu-server-dev branches.
  * d/heat-common.{install,manpages}: Include new binaries and associated
    manpages.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Aug 2013 15:23:59 +0100

heat (2013.2~b2-0ubuntu4) saucy; urgency=low

  [ Chuck Short ]
  * debian/rules: Enable testsuite during builds.
  * debian/patches/fix-sqlalchemy-0.8.patch: Build against sqlalchemy 0.8.
  * debian/patches/rename-quantumclient.patch: quantumclient -> neutronclient.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 08 Aug 2013 01:08:42 +0000

heat (2013.2~b2-0ubuntu3) saucy; urgency=low

  * Resynchronize with debian, remaining changes:
    - Add sqlite3 to heat-common depends to fix
      an autopkgtest failure.
    - Add autopkg tests. 
    - Pass the testsuite if it fails.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Aug 2013 10:36:33 -0400

heat (2013.2~b2-0ubuntu2) saucy; urgency=low

  * debian/control: Add sqlite3 to heat-common depends to fix
    an autopkgtest failure. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Aug 2013 15:36:33 +0000

heat (2013.2~b2-0ubuntu1) saucy; urgency=low

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests

  [ Chuck Short ]
  * New upstream release
  * debian/control:
    - Add python-pbr to build-depends.
    - Add python-d2to to build-depends.
    - Dropped python-argparse.
    - Add python-six to build-depends.
    - Dropped python-sendfile.
    - Dropped python-nose.
    - Added testrepository.
    - Added python-testtools.
  * debian/rules: Run testrepository instead of nosetets.
  * debian/patches/removes-lxml-version-limitation-from-pip-requires.patch: Dropped
    no longer needed.
  * debian/patches/fix-package-version-detection-when-building-doc.patch: Dropped
    no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 22 Jul 2013 16:22:29 -0400

heat (2013.1-4) unstable; urgency=low

  * Fixed the dbsync to the new thing upstream is using (it was crashing the
    postinst).
  * Fixed the prerm script of heat-engine that was calling dbc_go heat instead
    of dbc_go heat-engine.
  * Added missing dependency: python-mysqldb.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 May 2013 23:57:49 +0800

heat (2013.1-3) unstable; urgency=low

  * Added missing dbconfig-common depends (Closes: #709126). Thanks to Andrea
    Beckmann for the bug report.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 May 2013 12:38:11 +0800

heat (2013.1-2) unstable; urgency=low

  * Uploading to unstable.
  * Removes the <=2.3.5 from python-lxml requirements.
  * Fix package version detection when building docs.
  * Cleans doc/build on the clean target.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 May 2013 13:15:54 +0000

heat (2013.1-1) experimental; urgency=low

  * Initial release (Closes: #695302).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Feb 2013 21:56:59 +0800
